domains

GET /v1/domains/{domainId}

Get a domain.

모든 domains 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.

이 엔드포인트는 조직 ID를 받지 않습니다. 사용자의 키가 이미 속한 조직을 식별하며, 응답은 해당 조직으로 한정됩니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X GET https://api.zinndigital.com/v1/domains/{domainId} \
  -H "Authorization: Bearer zdk_live_…"

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

Returns one domain the caller can view. RBAC + RLS scoped.

매개변수

이름유형필수설명
domainId (path)UuidThe domain's id.

응답

이름유형필수설명
idUuidUUIDv7 identifier — sortable by creation time (docs/02 §8).
org_idUuidUUIDv7 identifier — sortable by creation time (docs/02 §8).
fqdnHostnameA fully-qualified DNS hostname, lowercase, no trailing dot.
sldstring
tldstring
product_linestring아니요The product line this domain was created on. **Not decoration** — it is what decides whether the shared fleet A/AAAA records are hidden from the customer (register #93), so the…
ownership_modestring<registered, connected, transferring_in>
statusDomainStatusA domain's lifecycle state (docs/31 §4.10).
registered_atobject아니요
expires_atobject아니요
auto_renewboolean
renew_yearsinteger
registrar_lockboolean아니요
privacy_enabledboolean아니요
nameserversstring[]
dnssec_enabledboolean아니요
site_idUuid | null아니요The site this domain points at, if any.
created_atstring
updated_atstring아니요

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 404 · 429